#include "blitz/misc/AssetsManager.h"

namespace blitz {
namespace utils {
namespace AssetsManager {

DataBuffer GetAsset(const std::string& fileName) {
#ifdef __ANDROID__
	// TODO: implement
	return {};
#else
	DataBuffer result;
	result.ReadFile(fileName);
	return result;
#endif
}

}  // namespace AssetsManager
}  // namespace utils
}  // namespace blitz
